Page MenuHomePhabricator

Make #Responsive-Vector a milestone of Vector
Closed, ResolvedPublic

Description

Vector (Responsive-Vector) should be a milestone of Vector
Can someone make that happen?
I don't seem to have the correct permissions...

Event Timeline

Jdlrobson created this task.Jul 5 2017, 4:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2017, 4:01 PM
Aklapper edited projects, added Project-Admins; removed Phabricator.Jul 5 2017, 4:17 PM
Aklapper moved this task from Incoming to Projects to change / set on the Project-Admins board.
greg added a subscriber: greg.Jul 11 2017, 5:22 PM

Note for others and for future reference: It's not about permissions. Making post-creation changes to sub-project/milestone-ness is not available in the UI. It's a command-line/database edits only thing.

Aklapper moved this task from To Triage to Database fiddling on the Phabricator board.
Aklapper added a project: Project-Admins.
Aklapper closed this task as Resolved.May 10 2019, 10:09 PM
Aklapper claimed this task.
Aklapper added a subscriber: Jay8g.

sudo /srv/phab/phabricator/bin/move_project --milestone --child "Responsive-Vector" --parent "Vector" --keep-members child

Note that Milestones (which are NOT considered subprojects) cannot specify members. Instead, the members of its parent project are treated as being its members.
However, the new milestone Vector (Responsive-Vector) under the parent project Vector still displays members in the UI, as before:
The members of the top-level project Vector (Responsive-Vector) were: @Jdlrobson
The watchers of the top-level project Vector (Responsive-Vector) were: @Jay8g
I probably should not have used --keep-members child. Sorry for that.